<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" 
    "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<html xmlns="http://www.w3.org/1999/xhtml"
	xmlns:ui="http://xmlns.jcp.org/jsf/facelets"
	xmlns:h="http://xmlns.jcp.org/jsf/html"
	xmlns:f="http://xmlns.jcp.org/jsf/core">

<ui:composition template="template.xhtml">
	<ui:define name="content">   
		<h2>Objednávky vyřízené zaměstnancem </h2>
		
		<h3><h:outputText value="#{zamestnanecBean.zamestnanec.jmeno} #{zamestnanecBean.zamestnanec.prijemni}"></h:outputText></h3>		
		<h:form>
			<!-- funguje to iterativne, var rika, jak oznacime jednu aktualni polozku v ramci cyklu -->
			<!-- foreach person in personBean.people -->
			<h:dataTable value="#{zamestnanecBean.objednavkyZam}" var="objednavka" styleClass="table"  columnClasses="text-center,text-right,text-right,text-left,text-left,text-center"> 
				<h:column>
					<f:facet name="header">
						ID
					</f:facet>
					<h:outputText value="#{objednavka.idObjednavky}"></h:outputText>
				</h:column>
				<h:column>	
					<f:facet name="header">
						Datum objednání
					</f:facet>
					<h:outputText value="#{objednavka.datumObjednani}">
					<f:convertDateTime pattern="dd-MM-yyyy"/>
					</h:outputText>
				</h:column>
				<h:column>
					<f:facet name="header">
						Cena
					</f:facet>
					<h:outputText value="#{objednavkaBean.getPrice(objednavka)} Kč"></h:outputText>
				</h:column>
				<h:column>
					<f:facet name="header">
						Způsob platby
					</f:facet>
					<h:outputText value="#{objednavka.zpusobPlatby}"></h:outputText>
				</h:column>
				<h:column>
					<f:facet name="header">
						Způsob doručení
					</f:facet>
					<h:outputText value="#{objednavka.zpusobDodani}"></h:outputText>
				</h:column>
				<h:column>
					<h:commandLink action="#{objednavkaBean.actionShow(objednavka)}">
						<i class="fa fa-eye fa-15x" aria-hidden="true" title="Zobrazit detaily"></i>
					</h:commandLink>
				</h:column>
			</h:dataTable>
		</h:form>
	</ui:define>
</ui:composition>
</html>
